# std::experimental::filesystem::recursive_directory_iterator::operator*, std::experimental::filesystem::recursive_directory_iterator::operator->

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | recursive directory iterator

const directory_entry& operator*() const; | (1) | (filesystem TS)
const directory_entry* operator->() const; | (2) | (filesystem TS)

Accesses the pointed-to `directory_entry`

The result of `operator*` or `operator->` on the end iterator is undefined behavior.

### Parameters

(none)

### Return value

1) Value of the `directory_entry` referred to by this iterator
2) Pointer to the `directory_entry` referred to by this iterator

### Exceptions

(none)

### See also

operator*operator-> | accesses the pointed-to entry (public member function of `std::experimental::filesystem::directory_iterator`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/recursive_directory_iterator/operator*&oldid=80642"